# Uses of Interface
com.sun.source.tree.UsesTree

Packages that use UsesTree
Package
Description
com.sun.source.tree
Provides interfaces to represent source code as abstract syntax trees (AST).
com.sun.source.util
Provides utilities for operations on abstract syntax trees (AST).

## Uses of UsesTree in com.sun.source.tree

Methods in com.sun.source.tree with parameters of type UsesTree
Modifier and Type
Method
Description
`R`
TreeVisitor.`visitUses(UsesTree node, P p)`
Visits a UsesTree node.

## Uses of UsesTree in com.sun.source.util

Methods in com.sun.source.util with parameters of type UsesTree
Modifier and Type
Method
Description
`R`
SimpleTreeVisitor.`visitUses(UsesTree node, P p)`
Visits a UsesTree node.
`R`
TreeScanner.`visitUses(UsesTree node, P p)`
Visits a UsesTree node.